Get a triage action
curl --request GET \
--url https://www.corgea.app/api/v1/triage/actions/{action_id} \
--header 'CORGEA-TOKEN: <api-key>'import requests
url = "https://www.corgea.app/api/v1/triage/actions/{action_id}"
headers = {"CORGEA-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'CORGEA-TOKEN': '<api-key>'}};
fetch('https://www.corgea.app/api/v1/triage/actions/{action_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"action": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_status": "<string>",
"justification": "<string>",
"accepted_risk_expiry_date": "2023-11-07T05:31:56Z",
"rule": {},
"source_metadata": {},
"requires_approval": true,
"requested_by": 123,
"approved_by": 123,
"rejected_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"applied_at": "2023-11-07T05:31:56Z",
"counts": {
"matched": 123,
"unmatched": 123,
"ambiguous": 123,
"applied": 123,
"conflicts": 123
}
},
"findings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": 123,
"previous_status": "<string>",
"previous_status_comment": "<string>",
"previous_accepted_risk_expiry_date": "2023-11-07T05:31:56Z",
"new_status": "<string>",
"new_status_comment": "<string>",
"severity": "<string>",
"match_evidence": {},
"source_record": {},
"applied_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_pages": 123,
"total_findings": 123
}
}Triage
Get a triage action
Retrieve a bulk triage action and its paginated, immutable finding audit records.
GET
/
triage
/
actions
/
{action_id}
Get a triage action
Authorizations
CorgeaTokenBearerAuth
API key for authentication
Path Parameters
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Was this page helpful?
⌘I
